<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

  
  class MenuEinstellTool22 extends MenuEinstell
  {
    public $file = 'writecolumnstool22.php';

    
    protected function _getSights()
    {
      $result = array();

      $sightIds = array(
          314 => 'Mitarbeiterübersicht',
          481 => 'Noten eines Mitarbeiters'
          );

      foreach ($sightIds as $sightId => $description) {
        $result[] = $this->_createSightObj($sightId, \ToolsAPI::TOOL_MITARBEITERUEBERSICHT_FA, $description);
      }

      return $result;
    }

    public function mainmenu($pEinstieg, $editid, $p_sightid)
    {
      
      if ($pEinstieg == 1) {
        $this->getUebersichtEinstell(SessionOperations::getVarValueIntern('menutext'));
      } else { 

        echo"
        <table border='0' cellpadding='0' cellspacing='5' height='100%' width='100%'>
          <tr>
            <td valign='top' width='100%' height='5%'>
              <p align='right'><font id='text_basys_webtools'>" . KUFERTOOLS . '</font></p>
            </td>
          </tr>
        </table>
        ';

        

        switch ($p_sightid) {
          case 314: 

           $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_MITARBEITERUEBERSICHT_FA);

           if ($objsettings->useTool21Semester) {
             $arySemesterCheck[0] = 'checked="checked"';
             $arySemesterCheck[1] = '';
           } else {
             $arySemesterCheck[0] = '';
             $arySemesterCheck[1] = 'checked="checked"';
           }

            
            if (!$objsettings->sorttnasc) {
              $arycheck[0] = '';
              $arycheck[1] = 'checked';
            } else {
              $arycheck[0] = 'checked';
              $arycheck[1] = '';
            }

            echo '<h2>Einstellungen für Sortierung etc</h2>' . BR_WT;
            echo $this->getStandardEinstellFormHeader(\ToolsAPI::TOOL_MITARBEITERUEBERSICHT_FA, 'uebersicht_allg', $p_sightid);
            echo "  
             <table border='0' cellpadding='0' cellspacing='0' width='100%'>
              <tr>
                <td width='85%' valign='top' height='19'><font class='text_main_menu'><b>Sortierung der Firmenmitarbeiter:</b>" . BR_WT . BR_WT . "</font>
                  <table border='0' width='100%'>
                    <tr>
                      <td width='34%' valign='top'>
                        <font class='text_main_menu'>&nbsp; -&nbsp; nach Namen: </font>
                      </td>
                      <td width='33%' valign='top'>
                        <input type='radio' value='tnauf' " . $arycheck[0] . " name='sorttn'>
                        <font class='text_main_menu'>aufsteigend</font>
                      </td>
                      <td width='33%' valign='top'>
                        <input type='radio' name='sorttn' " . $arycheck[1] . " value='tnab'>
                        <font class='text_main_menu'>absteigend</font>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr>
                <td width='85%' height='19' valign='top'>" . BR_WT . "
                  <font class='text_main_menu'><b>Firmenmitarbeiter mit Kursen folgender Semester anzeigen:</b></font>" . BR_WT
                  . '<input id="useSem21" value="true" name="useTool21Semester" type="radio" ' . $arySemesterCheck[0] . '>'
                  . '<label for="useSem21">Semester aus Tool "Kursübersicht für Firmen" verwenden</label>' . BR_WT
                  . '<input id="notUseSem21" value="false" name="useTool21Semester" type="radio" ' . $arySemesterCheck[1] . '>'
                  . '<label for="notUseSem21">Abweichende Semester setzen. Achtung: Querverweise auf die Kursdetails des Tools "Kursübersicht für Firmen" werden nicht angezeigt.</label>' . BR_WT
                  . '<div id="semlist4Tool22">Es können auch mehrere Semester gewählt werden' . BR_WT;
            $tool0Settings = ToolSettingsAPI::getToolSettings(0);
            echo $this->getSemester4SingleTool($objsettings->semlist, $tool0Settings->semlist, $objsettings->useAbweichendeSemester, true, $objsettings->keineAusgefallenenKurse) . '</div>'
                . '</td>
              </tr>'
             . '<tr><td>'
             . $this->getEinschraenkungStatusTnSubMenu(\ToolsAPI::TOOL_MITARBEITERUEBERSICHT_FA, $objsettings->tnstatus, 'ATP', STATUSART_TEILNEHMER)
            . '</td></tr>'
            . '</table>'
            . "<div class=\"SpeicherButtonDiv\">
               <input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
             </div>
            </form>" . BR_WT . BR_WT . BR_WT;

            break;

          case 481: 

           $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_MITARBEITERUEBERSICHT_FA);

            echo '<h2>Einstellungen für Noten eines Mitarbeiters</h2>' . BR_WT;
            echo $this->getStandardEinstellFormHeader(\ToolsAPI::TOOL_MITARBEITERUEBERSICHT_FA, 'noten', $p_sightid);
            echo "  
             <table border='0' cellpadding='0' cellspacing='0' width='100%'>"
             . '<tr><td width="375"></td><td></td></tr><tr>'
             . '<tr>
               <td colspan="2">
                 <div class="einschraenkungStatusDiv">
                    <label class="text_main_menu einschraenkungStatusUeberschrift statusUeberschriftKlein">Einschränkung der Teilnehmer (angemeldete Mitarbeiter) auf Status:</label>
                    <div style="float: left;">Wird aus Mitarbeiterübersicht übernommen</div></td></tr>';

           $notenOhneEinzelnotenChecked = $this->_checked($objsettings->notenOhneEinzelnoten);
           echo
             '<tr>
               <td>
                 <label class="text_main_menu" for="notenOhneEinzelnoten">Vereinfachte Ausgabe für eine Note pro Fach</label>'
                 . $this->getInfoPopUp('Je Fach wird nur die Gesamtnote angezeigt. Einzelnoten und Notendurchschnitte werden nicht angezeigt. '
                                     . 'Ebenso fällt bei den Fächern der Hinweis auf Pflicht- oder Wahlfach weg.', 'Informationen zu Vereinfachte Notenübersicht')

              . '</td>
               <td>
                 <input type="checkbox" id="notenOhneEinzelnoten" name="notenOhneEinzelnoten" ' . $notenOhneEinzelnotenChecked . '>
               </td>
             </tr>';

           $notenOhneNotenloseFaecherChecked = $this->_checked($objsettings->notenOhneNotenloseFaecher);
           echo
             '<tr>
               <td>
                 <label class="text_main_menu" for="notenOhneNotenloseFaecher">Fächer ohne Noten ausblenden</label>'
              . '</td>
               <td>
                 <input type="checkbox" id="notenOhneNotenloseFaecher" name="notenOhneNotenloseFaecher" ' . $notenOhneNotenloseFaecherChecked . '>
               </td>
             </tr>';

           $notenOhneFaecherloseBelegungenChecked = $this->_checked($objsettings->notenOhneFaecherloseBelegungen);
           echo
             '<tr>
               <td>
                 <label class="text_main_menu" for="notenOhneFaecherloseBelegungen">Kurse ohne Fächer ausblenden</label>'
              . '</td>
               <td>
                 <input type="checkbox" id="notenOhneFaecherloseBelegungen" name="notenOhneFaecherloseBelegungen" ' . $notenOhneFaecherloseBelegungenChecked . '>
               </td>
             </tr>';

           echo
            '</table>'
            . "<div class=\"SpeicherButtonDiv\">
               <input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
             </div>"
            . '</form>' . BR_WT . BR_WT . BR_WT;

            break;

        }
      }
    }
  }